include:
    - template: Jobs/Secret-Detection.gitlab-ci.yml
    - local: .gitlab-ci/rocky9-ci.yml

default:
    before_script: |
        mv $(echo $clouds) clouds.yaml
        echo $OS_CLOUD
        packer --version

image:
    name: hashicorp/packer:1.11.2
    entrypoint:
        - "/usr/bin/env"
        - "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

stages:
    - validate
    - build
    - test
    - deploy

validate:
    stage: validate
    script:
        - packer plugins install github.com/hashicorp/openstack
        - find packer_files/ -maxdepth 1 -name '*.hcl' -print0 | xargs -t0n1 packer validate
# build:
#     stage: deploy
#     tags:
#         - "packer"
#     script:
#         - /usr/bin/packer plugins install github.com/hashicorp/openstack
#         - find packer_files/ -maxdepth 1 -name '*.hcl' -print0 | xargs -t0n1 /usr/bin/packer build
#     rules:
#         - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
